Summary: A python SOAP client
Name:  python-suds
Version: 0.4.1
%define subrel 1
Release: %mkrel 3
Source0: https://fedorahosted.org/releases/s/u/suds/%{name}-%{version}.tar.gz
Patch0: python-suds-0.4-CVE-2013-2217.patch
License: LGPLv3+
Group: Development/Python
BuildArch: noarch
Requires: python >= 2.4
BuildRequires: python python-setuptools
Url: https://fedorahosted.org/suds

%description
The suds project is a python soap web services client lib.  Suds leverages
python meta programming to provide an intuitive API for consuming web
services.  Objectification of types defined in the WSDL is provided
without class generation.  Programmers rarely need to read the WSDL since
services and WSDL based objects can be easily inspected.

%prep
%setup -q
%patch0 -p1

%build
python setup.py sdist

%install
rm -rf %{buildroot}
python setup.py install --optimize=1 --root=%{buildroot}

%clean
rm -rf %{buildroot}

%files
%doc README LICENSE
%{python_sitelib}/suds*.egg-info
%dir %{python_sitelib}/suds
%dir %{python_sitelib}/suds/bindings
%dir %{python_sitelib}/suds/sax
%dir %{python_sitelib}/suds/xsd
%dir %{python_sitelib}/suds/mx
%dir %{python_sitelib}/suds/umx
%dir %{python_sitelib}/suds/transport
%{python_sitelib}/suds/*.py*
%{python_sitelib}/suds/bindings/*.py*
%{python_sitelib}/suds/sax/*.py*
%{python_sitelib}/suds/xsd/*.py*
%{python_sitelib}/suds/mx/*.py*
%{python_sitelib}/suds/umx/*.py*
%{python_sitelib}/suds/transport/*.py*


%changelog
* Fri Jul 19 2013 luigiwalser <luigiwalser> 0.4.1-3.1.mga3
+ Revision: 456289
- add patch from opensuse to fix CVE-2013-2127

* Sun Jan 13 2013 umeabot <umeabot> 0.4.1-3.mga3
+ Revision: 379550
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Apr 20 2012 boklm <boklm> 0.4.1-2.mga2
+ Revision: 232083
- clean spec, fix group, fix BR
- imported package python-suds

